#!/bin/sh

PWDFILE=$1

if [ "$USER" != "root" ]; then
	echo "Please use sudo."
	exit 1
fi

if [ -z $PWDFILE ]; then
	echo "No argument supplied."
	exit 1
fi

for tuplet in `grep , $PWDFILE`; do
	login=`echo $tuplet | cut -d, -f 1`
	passwd=`echo $tuplet | cut -d, -f 2`

	adduser --no-create-home -gid 1000 --disabled-password --gecos "" --shell "/bin/bash" $login
	adduser $login audio
	chpasswd -m <<EOF
$login:$passwd
EOF

	mkdir -p /home/$login/.mozilla/firefox/p81gwdv3.default
	cp /etc/bash.bashrc /home/$login/.bashrc
	cp /etc/skel/.mozilla/firefox/p81gwdv3.default/prefs.js \
		/home/$login/.mozilla/firefox/p81gwdv3.default/
	cp /etc/skel/.mozilla/firefox/profiles.ini \
		/home/$login/.mozilla/firefox
	cp /etc/skel/.mozilla/firefox/p81gwdv3.default/bookmarks.html \
		/home/$login/.mozilla/firefox/p81gwdv3.default/
	cp -R /etc/skel/.config /home/$login/
	cp /home/linutop/.config/xfce4/mcs_settings/desktop.xml \
		/home/$login/.config/xfce4/mcs_settings/
	cp -R /etc/skel/Desktop /home/$login/
	chown -R $login:linutop /home/$login

done
